package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SysProjectMapper;
import com.ruoyi.system.domain.SysProject;
import com.ruoyi.system.service.ISysProjectService;

@Service
public class SysProjectServiceImpl implements ISysProjectService
{
    @Autowired
    private SysProjectMapper sysProjectMapper;

    @Override
    public SysProject selectSysProjectById(Long id)
    {
        return sysProjectMapper.selectSysProjectById(id);
    }

    @Override
    public List<SysProject> selectSysProjectList(SysProject sysProject)
    {
        return sysProjectMapper.selectSysProjectList(sysProject);
    }

    @Override
    public int insertSysProject(SysProject sysProject)
    {
        return sysProjectMapper.insertSysProject(sysProject);
    }

    @Override
    public int updateSysProject(SysProject sysProject)
    {
        return sysProjectMapper.updateSysProject(sysProject);
    }

    @Override
    public int deleteSysProjectByIds(Long[] ids)
    {
        return sysProjectMapper.deleteSysProjectByIds(ids);
    }

    @Override
    public int deleteSysProjectById(Long id)
    {
        return sysProjectMapper.deleteSysProjectById(id);
    }
}
